ActiveMQPollingEndpointWorker.InboundEndpointWork (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.ra.ActiveMQPollingEndpointWorker.InboundEndpointWork class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.ra
Class ActiveMQPollingEndpointWorker.InboundEndpointWork

    java.lang.Object
      org.codehaus.activemq.ra.ActiveMQPollingEndpointWorker.InboundEndpointWork

All Implemented Interfaces:
  Runnable, Work

Enclosing class:
  ActiveMQPollingEndpointWorker

public static class ActiveMQPollingEndpointWorker.InboundEndpointWork
extends Object
implements Work

Field Summary
`(package private) ActiveMQMessage` | `message`

Constructor Summary
`ActiveMQPollingEndpointWorker.InboundEndpointWork(ActiveMQSession session, MessageEndpoint endpoint, CircularQueue workers)`

Method Summary
`void` | `release()`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### message

    ActiveMQMessage message

Constructor Detail

### ActiveMQPollingEndpointWorker.InboundEndpointWork

    public ActiveMQPollingEndpointWorker.InboundEndpointWork(ActiveMQSession session,
                                                             MessageEndpoint endpoint,
                                                             CircularQueue workers)
                                                      throws JMSException

Parameters:
  `session` -
  `endpoint` -
  `workers` -
Throws:
  `JMSException`

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `Work`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  See Also:
    `Runnable.run()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.